//问答社区模块
import { httpGet, httpPost } from "@/utils/request.js";

/**
 * 问答列表
 * @param chart_permission_id
 * @param reply_status 0-全部 2-待回答 3-已回答
 */
 export const apiQuestionList=params=>{
    return httpGet('/community/question/list',params)
}
/**
 * FICC品种权限
 */
 export const apiOptionList=params=>{
    return httpGet('/company/permission/tree',params)
}
/**
 * 研究方向分组列表 
 */
export const apiOptionGroupList = params=>{
    return httpGet('/community/question/research_group',params)
}
/**
 * 发布提问
 * @param question_content
 */
 export const apiPubAsk=params=>{
    return httpPost('/community/question/ask',params)
}
/**
 * 问答列表数量统计
 */
 export const apiBarTotal=params=>{
    return httpGet('/community/question/list/total',params)
}

/**
 * 发布回答
 * @param question_id 
 * @param audio_list 
 */
 export const apiReplayAsk=params=>{
    return httpPost('/community/question/reply',params)
}

/**
 * 问答详情
 * @param question_id 
 */
 export const apiGetQuestion=params=>{
    return httpGet('/community/question/detail',params)
}
/**
 * 我的-未读数
 */
 export const apiGetUnread=params=>{
    return httpGet('/community/question/unread',params)
}
/**
 * 问答已读(批量)
 * @param question_ids
 */
export const apiSetRead = params=>{
    return httpPost('/community/question/reply/read',params)
}
/**
 * 点击音频次数
 * @param community_question_audio_id
 * @param source_agent 1：小程序，2：小程序 pc 3:弘则研究公众号，4:web pc
 */
export const apiCountAudioClick = params=>{
    return httpPost('/community/question/audio/log',params)
}



/**
 * 点赞/吐槽
 *  "community_question_id": 35, 问答ID/视频ID
    "op_type": 1, 1-点赞 2-吐槽
    "enable": 1, 0取消 1-有效数据
    "source_agent": 1, 1：小程序，2：小程序 pc 3:弘则研究公众号，4:web pc
    source：来源：1-问答社区（默认, 传0也是）; 2-视频社区
 */
export const apiSetLike = params => {
   return httpPost('/community/set_like_or_tease',{ source_agent:1,...params })
}

/**
 * 发布评论
 * @param {*} params 
 * "community_question_id": 35, 问答ID/视频ID
    "content": "这里是roc的测试评论",
    "is_show_name": 0,
    "source_agent": 1,
      source 来源：1-问答社区（默认, 传0也是）; 2-视频社区
 */
export const apiPublishComment = params => {
   return httpPost('/community/comment',{ source_agent:1,...params })
}

/**
 * 获取设置昵称状态
 * @param {*} params 
 */
export const apiCheckNick = params => {
   return httpGet('/community/need_anonymous_user_tips')
}

/**
 * 不在提醒设置弹窗
 * @param {*} params 
 */
export const apiCanelNickTip = params => {
   return httpPost('/community/set_anonymous_user_tips')
}

/**
 * 删除留言
 * @param {community_question_comment_id} params 
 */
export const apiDelComment = params => {
   return httpPost('/community/comment/delete',params)
}

/**
 * 精选留言列表
 * @param {*} params
 * community_question_id 问答ID/视频ID
 * curr_page
 * page_size
 * source 来源：1-问答社区（默认, 传0也是）; 2-视频社区
 */
export const apiHotComment = params => {
   return httpGet('/community/comment/hot',params)
}

/**
 * 我的留言列表
 * @param {*} params
 * community_question_id 问答ID/视频ID
 * curr_page
 * page_size
 * source 来源：1-问答社区（默认, 传0也是）; 2-视频社区
 */
export const apiMyComment = params => {
   return httpGet('/community/comment/my',params)
}